List a policy's assets
curl --request GET \
--url https://api.korint.io/policies/{policyId}/assets \
--header 'Authorization: Bearer <token>' \
--header 'tenant: <tenant>'import requests
url = "https://api.korint.io/policies/{policyId}/assets"
headers = {
"tenant": "<tenant>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {tenant: '<tenant>', Authorization: 'Bearer <token>'}};
fetch('https://api.korint.io/policies/{policyId}/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"type": "<string>",
"id": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"policyId": "<string>",
"customFields": [
{
"key": "<string>",
"value": "<string>"
}
],
"name": "<string>",
"createdOnBranch": true,
"editedOnBranch": true,
"startedAt": "2023-11-07T05:31:56Z",
"stoppedAt": "2023-11-07T05:31:56Z",
"cancelledAt": "2023-11-07T05:31:56Z",
"originAssetId": "<string>",
"externalAssetId": "<string>",
"quote": {
"id": "<string>",
"entityId": "<string>",
"provider": {
"id": "<string>",
"version": "<string>"
},
"rates": [
{
"id": "<string>",
"rate": 123,
"inputs": [
{
"id": "<string>",
"value": "<string>"
}
]
}
],
"totalPremium": {
"amountPreFeesAndTaxes": 123,
"fees": [
{
"id": "<string>",
"amount": 123,
"brokerageFirmId": "<string>"
}
],
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"taxes": [
{
"id": "<string>",
"amount": 123
}
],
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
},
"components": [
{
"id": "<string>",
"premium": {
"amountPreFeesAndTaxes": 123,
"fees": [
{
"id": "<string>",
"amount": 123,
"brokerageFirmId": "<string>"
}
],
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"taxes": [
{
"id": "<string>",
"amount": 123
}
],
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
}
}
],
"options": {
"tier": "<string>",
"excess": "<string>",
"assetId": "<string>",
"perils": [
{
"id": "<string>",
"option": "<string>",
"available": true,
"unavailabilityMessage": "<string>"
}
],
"brokerageFees": [
{
"brokerageFirmId": "<string>",
"fee": 50
}
]
},
"basePrice": 123,
"priceBand": "<string>"
},
"proratedQuote": {
"id": "<string>",
"entityId": "<string>",
"provider": {
"id": "<string>",
"version": "<string>"
},
"rates": [
{
"id": "<string>",
"rate": 123,
"inputs": [
{
"id": "<string>",
"value": "<string>"
}
]
}
],
"totalPremium": {
"amountPreFeesAndTaxes": 123,
"fees": [
{
"id": "<string>",
"amount": 123,
"brokerageFirmId": "<string>"
}
],
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"taxes": [
{
"id": "<string>",
"amount": 123
}
],
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
},
"components": [
{
"id": "<string>",
"premium": {
"amountPreFeesAndTaxes": 123,
"fees": [
{
"id": "<string>",
"amount": 123,
"brokerageFirmId": "<string>"
}
],
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"taxes": [
{
"id": "<string>",
"amount": 123
}
],
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
}
}
],
"options": {
"tier": "<string>",
"excess": "<string>",
"assetId": "<string>",
"perils": [
{
"id": "<string>",
"option": "<string>",
"available": true,
"unavailabilityMessage": "<string>"
}
],
"brokerageFees": [
{
"brokerageFirmId": "<string>",
"fee": 50
}
]
},
"basePrice": 123,
"priceBand": "<string>"
}
}
],
"pageInfo": {
"first": true,
"last": true
},
"totalCount": 123,
"currentPage": 123,
"totalPages": 123
}{
"code": "FORBIDDEN",
"message": "Forbidden",
"details": {}
}{
"code": "POLICY_NOT_FOUND",
"message": "Policy {policyId} ({branchId}) not found",
"details": {}
}asset
List a policy's assets
GET
/
policies
/
{policyId}
/
assets
List a policy's assets
Authorizations
oauth2bearerAuth
Machine-to-machine clients use the OAuth 2.0 client credentials grant. Each tenant has its own authorization server: in the token URL below, replace tenant with your tenant identifier.
Headers
Your tenant identifier. Requests without it are rejected.
Path Parameters
Pattern:
^policy(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$Query Parameters
the number of items to return
the page to retrieve
Optional: the whenAt datetime
Optional: the simulatedAt datetime
Optional: the branchId
Pattern:
^branch(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$Was this page helpful?
⌘I

